import createAxios from '@/utils/request'

export function add(data: any) {
    return createAxios({
        url: '/user-boot/role/add',
        method: 'post',
        data: data
    })
}

export function update(data: any) {
    return createAxios({
        url: '/user-boot/role/update',
        method: 'post',
        data: data
    })
}

export function del(data: any) {
    return createAxios({
        url: '/user-boot/role/delete',
        method: 'post',
        data: data
    })
}


export function roleList(id: number) {
    return createAxios({
        url: '/user-boot/role/selectRoleDetail?id=' + id,
        method: 'post'
    })
}